#5201 Harold informed me of a negative time to collect item

closed-fixed
None
5
2011-06-07
2011-05-31
No

I logged into the test server and got these messages:

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-24 22:56:
Your offer of a suit of dwarvish armor has expired. You have -2 weeks left to get the item back or prolong the offer.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-24 22:56:
Your offer of a chaos sword has expired. You have -2 weeks left to get the item back or prolong the offer.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-25 18:55:
Your offer of a golden cloak will expire in 3 days.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-26 04:54:
Your offer of a golden cloak will expire in about 2 and a half days.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-27 04:53:
Your offer of a golden cloak will expire in about 1 and a half days.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-28 04:54:
Your offer of a golden cloak will expire in just under 14 hours.

[21:33] postman tells you: Harold asked me to deliver this message on 2011-05-28 18:56:
Your offer of a golden cloak has expired. You have -2 weeks left to get the item back or prolong the offer.

Discussion

  • Hendrik Brummermann

    • priority: 5 --> 8
    • assigned_to: nobody --> madmetzger
     
  • Hendrik Brummermann

    Since 2011-05-07 all the log messages say exactly -2 weeks.

     
  • Katie Russell

    Katie Russell - 2011-05-31

    23:32 < kymara> TimeUtil.approxTimeUntil((int) ((offer.getTimestamp() - System.currentTimeMillis() + 1000 * TIME_TO_REMOVING) / 1000))
    23:32 < kymara> i think there is integer oveflow
    23:33 < kymara> 1000 * TIME_TO_REMOVING is now 3196800000
    23:34 < kymara> i guess that already overflows and then is added to the rest?

    I have committed a fix, can we check the postman logs tomorrow and see if it is okay? Hard to test locally. (I did try with an rpzone dump but this did not work.)

     
  • Katie Russell

    Katie Russell - 2011-05-31
    • assigned_to: madmetzger --> kymara
     
  • Katie Russell

    Katie Russell - 2011-06-02
    • status: open --> closed-fixed
     
  • Hendrik Brummermann

    • priority: 8 --> 5
     


Anonymous

Cancel  Add attachments